Bug 212687 - radeonfb module does not permit resolution change in FC6
radeonfb module does not permit resolution change in FC6
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 21:43 EDT by Bill Moss
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-02 18:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Moss 2006-10-27 21:43:48 EDT
Description of problem: module radeonfb does is stuck at the resolution 640x480.
This module is required to avoid the suspend power-drain problem in certain
Thinkpad models.

Version-Release number of selected component (if applicable):

How reproducible: everytime

Steps to Reproduce:
1. add mkinitrd file to /etc/sysconfig containing MODULES="radeonfb"
2. add to /etc/modprobe.conf options radeonfb force_sleep=1
3. /sbin/mkinitrd -f -v /boot/initrd-$(uname -r).img $(uname -r)
4. reboot
Actual results: display comes with 640x480 resolution and the resolution cannot
be changed. 

Expected results: expect the resolution to remain at the 1024x768.

Additional info:
Comment 1 Bill Moss 2006-11-02 18:25:09 EST
This issue has been resolved. For more details see


The problem was solved by using

Option      "MergedFB" "off"

in xorg.conf. A web search revealed that a number of users have upgraded Xorg
recently and had this same experience. It is not tied to particular video
hardware or driver. By default MergedFB is undefined. For whatever reason, this
is sometimes misinterpreted. The Xorg.0.log gave a hint. Xorg was trying to
configure a CRT monitor, even though no external monitor is connected, using bad
values for refresh rates. This forced a fall back to low resolution. This is the
same thing that happens when you plug your laptop into a projector and X doesn't
know what resolution to use. The DDC protocol is suppose to let the projector
tell the laptop what resolution to use but sometimes this does not work or needs
a kick in the pants via an X restart.

With MergedFB off, my T42 is works correctly when I plug it into an LCD
projector. It defaults to clone mode and the laptop screen is closed on the
projector screen.

It is not clear to my why MergedFB off is not the default.

Note You need to log in before you can comment on or make changes to this bug.